EventListener::getBase
EventListener::setCallback
EventListener
PHP Manual

# EventListener::getSocketName

(PECL event >= 1.5.0)

EventListener::getSocketName — Retreives the current address to which the listener's socket is bound.

### Description

public static bool EventListener::getSocketName ( string `&$address` [, mixed `&$port` ] )

Retreives the current address to which the listener's socket is bound.

### Parameters

`address`

  Output parameter. IP-address depending on the socket address family.

`port`

  Output parameter. The port the socket is bound to.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

EventListener::getBase
EventListener::setCallback
EventListener
PHP Manual